#include "headers.h"
#include "TabletStatus.h"

TabletStatus::TabletStatus()
{
	Reset();
}

TabletStatus::~TabletStatus()
{
}

void TabletStatus::Reset()
{
	valid = false;
	check_valid = false;
	keypress1 = false;
	keypress2 = false;
}

bool TabletStatus::SetValid(bool get_packet, DWORD now, PACKET& packet)
{
	if (get_packet)
	{
		valid = true;
		check_valid = false;
		keypress1 = ((packet.pkButtons & 2) != 0);
		keypress2 = ((packet.pkButtons & 4) != 0);
	}
	else if (valid)
	{
		if (!check_valid)
		{
			invalid_time = now;
			check_valid = true;
		}
		else if (now - invalid_time >= 200)
		{
			valid = false;
		}
	}
	return valid;
}
