#ifndef INCL_CREATOR_H
#define INCL_CREATOR_H

#include "device.h"
#include "misc.h"
#include "if/ifcommon.h"

// ---------------------------------------------------------------------------

class Creator
{
public:
	Creator();
	~Creator();
	void Reset();
	void Open(LOGCONTEXT _lc);

	void Out80(uint);
	uint In80();
	uint In81();
	void SetValue(PACKET& packet, bool valid);

private:
	CRITICAL_SECTION cs;
	LOGCONTEXT lc;
	int		x;
	int		y;
	bool	valid;
	DWORD	buttons;
	uint	port80;
	uint	port81;
};

#endif // INCL_CREATOR_H
