#ifndef INCL_CAT_H
#define INCL_CAT_H

#include "device.h"
#include "misc.h"
#include "if/ifcommon.h"

// ---------------------------------------------------------------------------

class Cat
{
public:
	Cat();
	~Cat();
	void Reset();
	void Open(int _sensitivity, LOGCONTEXT _lc);

	uint InBx(uint);
	void SetValue(PACKET& packet, bool valid);

private:
	CRITICAL_SECTION cs;
	LOGCONTEXT lc;
	int		x;
	int		y;
	int		sensitivity;
	bool	valid;
	DWORD	buttons;
	int		sx;
	int		sy;
	bool	sv;
};

#endif // INCL_CAT_H
