#ifndef INCL_MT20_H
#define INCL_MT20_H

#include "device.h"
#include "misc.h"
#include "if/ifcommon.h"

// ---------------------------------------------------------------------------

class Mt20
{
public:
	Mt20();
	~Mt20();

	void Reset();
	void Open(int _sensitivity, LOGCONTEXT _lc);

	uint SetValueTablet(byte* buf, PACKET& packet, bool valid, DWORD tick);
	uint SetValueMouse(byte* buf, PACKET& packet, bool valid, DWORD tick);

private:
	LOGCONTEXT lc;
	int		x;
	int		y;
	int		sensitivity;
	DWORD	buttons;
	bool	valid;
	DWORD	tick;
};

#endif // INCL_MT20_H
